ConnectTimeoutException (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn
Class ConnectTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.InterruptedIOException
                      org.apache.http.conn.ConnectTimeoutException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConnectionPoolTimeoutException

    public class ConnectTimeoutException

extends InterruptedIOException

A timeout while connecting to an HTTP server or waiting for an available connection from an HttpConnectionManager.

Since:
  4.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.io.InterruptedIOException
`bytesTransferred`

Constructor Summary
`ConnectTimeoutException()` Creates a ConnectTimeoutException with a `null` detail message.
`ConnectTimeoutException(IOException cause, org.apache.http.HttpHost host, InetAddress... remoteAddresses)` Creates a ConnectTimeoutException based on original `IOException`.
`ConnectTimeoutException(String message)` Creates a ConnectTimeoutException with the specified detail message.

Method Summary
`org.apache.http.HttpHost` | `getHost()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectTimeoutException

    public ConnectTimeoutException()

  Creates a ConnectTimeoutException with a `null` detail message.

### ConnectTimeoutException

    public ConnectTimeoutException(String message)

  Creates a ConnectTimeoutException with the specified detail message.

### ConnectTimeoutException

    public ConnectTimeoutException(IOException cause,
                                   org.apache.http.HttpHost host,
                                   InetAddress... remoteAddresses)

  Creates a ConnectTimeoutException based on original `IOException`.

  Since:
    4.3

Method Detail

### getHost

    public org.apache.http.HttpHost getHost()

  Since:
    4.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.